Digital Scale 1.0 Digital Scale

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Data Structures | Macros | Functions | Variables
config.h File Reference

Structures and Constants for Configuration Handling. More...

Go to the source code of this file.

## Data Structures
struct | confStruct_t
| Holds all Configuration Data stored in EEPROM. More...

## Macros
#define | CONF_MAGIC 0x0101
| Increment this value if confStruct_t becomes incompatible to previous versions! More...

## Functions
void | ReadConfig (void)
| Reads the Config-Struct from EEPROM into config. More...
void | WriteConfig (void)
| Writes the Config-Struct to EEPROM. More...

## Variables
confStruct_t | config
| The Configuration. It is read on startup from the EEPROM. More...

## Detailed Description

Structures and Constants for Configuration Handling.

Copyright
  Copyright (C) 2013 Robert Loos http://www.loosweb.de

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

## Macro Definition Documentation

#define CONF_MAGIC 0x0101

Increment this value if confStruct_t becomes incompatible to previous versions!

## Function Documentation

void ReadConfig | ( | void | ) |  |

Reads the Config-Struct from EEPROM into config.

Only the config-struct in RAM will be used. Changes in config will only become permanent if you use a write-command. There is a configDirty-flag that is set by every routine that changes config and is used to remind the user to execute a write-command.

void WriteConfig | ( | void | ) |  |

Writes the Config-Struct to EEPROM.

## Variable Documentation

confStruct_t config

The Configuration. It is read on startup from the EEPROM.